// This configuration is merged with the default vicinae configuration file, which you can obtain by running the `vicinae config default` command.
// Every item defined in this file takes precedence over the values defined in the default config or any other imported file.
//
// You can make manual edits to this file, however you should keep in mind that this file may be written to by vicinae when a configuration change is made through the GUI.
// When that happens, any custom comments or formatting will be lost.
//
// If you want to maintain a configuration file with your own comments and formatting, you should create a separate file and add it to the 'imports' array.
//
// Learn more about configuration at https://docs.vicinae.com/config

{
   "$schema": "https://vicinae.com/schemas/config.json",
   "imports": [],
   "close_on_focus_loss": true,
   "consider_preedit": false,
   "pop_to_root_on_close": true,
   "escape_key_behavior": "navigate_back",
   "favicon_service": "twenty",
   "keybinding": "default",
   "pixmap_cache_mb": 50,
   "search_files_in_root": true,
   "font": {
      "normal": {
         "family": "Agave Nerd Font",
         "size": 10
      }
   },
   "theme": {
      "light": {
         "name": "vicinae-light",
         "icon_theme": "auto"
      },
      "dark": {
         "name": "cyberqueer",
         "icon_theme": "auto"
      }
   },
   "launcher_window": {
      "opacity": 0.95,
      "client_side_decorations": {
         "enabled": true,
         "rounding": 25,
         "border_width": 7
      },
      "size": {
         "width": 500,
         "height": 480
      },
      "dim_around": false,
      "blur": {
         "enabled": false
      },
      "compact_mode": {
         "enabled": false
      },
      "layer_shell": {
         "layer": "top",
         "keyboard_interactivity": "on_demand",
         "enabled": false
      }
   },
   "keybinds": {
      "action.copy": "control+shift+C",
      "action.copy-name": "control+shift+.",
      "action.copy-path": "control+shift+,",
      "action.dangerous-remove": "control+shift+X",
      "action.duplicate": "control+D",
      "action.edit": "control+E",
      "action.edit-secondary": "control+shift+E",
      "action.move-down": "control+shift+ARROWDOWN",
      "action.move-up": "control+shift+ARROWUP",
      "action.new": "control+N",
      "action.open": "control+O",
      "action.pin": "control+shift+P",
      "action.refresh": "control+R",
      "action.remove": "control+X",
      "action.save": "control+S",
      "open-search-filter": "control+P",
      "open-settings": "control+,",
      "toggle-action-panel": "control+B"
   },
   "favorites": [
      "clipboard:history"
   ],
   "fallbacks": [
      "files:search"
   ]
}